Bug 3472 - DHCP_VENDOR_LENGTH is too large
DHCP_VENDOR_LENGTH is too large
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-15 04:22 EDT by breed
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-16 14:29:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description breed 1999-06-15 04:22:14 EDT
The minimum length specfied in RFC 2131 is 312 and some DHCP
servers take advantage of that minimum.  (Such as Ascend
pipelines).  Pump is currently set to 340.
Comment 1 breed 1999-06-15 12:10:59 EDT
There is a patch that fixes this and other problems in pump (as well
as reporting errors in syslog) at
http://www.cse.ucsc.edu/~breed/pump.patch.
Comment 2 Erik Troan 1999-06-22 15:24:59 EDT
I've fixed this in CVS, and the fix will appear soon. I'd appreciate
it if you'd like through my change and see if your result and error
mods are still appropriate; I had too much in the way to be able to
just apply them.

If you're interested, I'll be happy to mail you a snapshot of the
source code.
Comment 3 Erik Troan 1999-08-16 14:29:59 EDT
Fixed in pump 0.7.0.

Note You need to log in before you can comment on or make changes to this bug.